Bug 1298475 - (league/flysystem) Review Request: php-league-flysystem - Filesystem abstraction: Many filesystems, one API
Review Request: php-league-flysystem - Filesystem abstraction: Many filesyste...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1262185
  Show dependency treegraph
 
Reported: 2016-01-14 03:46 EST by Remi Collet
Modified: 2016-02-14 19:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-01 19:54:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (26.68 KB, text/plain)
2016-01-20 01:21 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (16.04 KB, text/plain)
2016-01-20 01:22 EST, Shawn Iwinski
no flags Details
fedora-review.txt (8.07 KB, text/plain)
2016-01-20 01:23 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-01-14 03:46:21 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/9c541aec5046a5fa76b452ab63cdcd4830d23445/php/php-league-flysystem/php-league-flysystem.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-league-flysystem-1.0.16-1.remi.src.rpm
Description:
Flysystem is a filesystem abstraction which allows you to easily swap out
a local filesystem for a remote one.

Autoloader: '/usr/share/php/League/Flysystem/autoload.php';

Fedora Account System Username: remi

-- 

Dependency of owncloud.
As usually, I will clean the EL-5 stuff after import.
Comment 1 Upstream Release Monitoring 2016-01-14 03:55:30 EST
remi's scratch build of php-league-flysystem-1.0.16-1.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12544372
Comment 2 Shawn Iwinski 2016-01-20 01:21 EST
Created attachment 1116494 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.2 DB built Nov 26 2015 14:29:15 CET
Comment 3 Shawn Iwinski 2016-01-20 01:22 EST
Created attachment 1116495 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.2 DB built Nov 26 2015 14:29:15 CET
Comment 4 Shawn Iwinski 2016-01-20 01:23 EST
Created attachment 1116496 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1298475
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Shawn Iwinski 2016-01-20 01:26:40 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



This library was one of the ones on my list to get to.  If you would like, feel free to add me as a co-maintainer and I'll also help with the adapters packaging.



No blockers.

===== APPROVED =====
Comment 6 Remi Collet 2016-01-20 01:31:10 EST
Thanks, SCM request open.

> If you would like, feel free to add me as a co-maintainer

Of course, you're welcome.

I don't see how to do it in the package request, I think I will have to do it after import.
Comment 7 Gwyn Ciesla 2016-01-20 09:13:18 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-league-flysystem
Comment 8 Remi Collet 2016-01-20 11:16:17 EST
@shawn: you have commit right.

Check: https://admin.fedoraproject.org/pkgdb/package/rpms/php-league-flysystem/
Comment 9 Fedora Update System 2016-01-20 11:20:50 EST
php-league-flysystem-1.0.16-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-223d61d41a
Comment 10 Fedora Update System 2016-01-20 11:20:55 EST
php-league-flysystem-1.0.16-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c219e07232
Comment 11 Fedora Update System 2016-01-21 23:59:09 EST
php-league-flysystem-1.0.16-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cab0ed021e
Comment 12 Fedora Update System 2016-01-22 02:56:24 EST
php-league-flysystem-1.0.16-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-223d61d41a
Comment 13 Fedora Update System 2016-01-23 16:30:44 EST
php-league-flysystem-1.0.16-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c219e07232
Comment 14 Fedora Update System 2016-02-01 19:54:02 EST
php-league-flysystem-1.0.16-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-02-02 00:49:59 EST
php-league-flysystem-1.0.16-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-02-14 19:57:06 EST
php-league-flysystem-1.0.16-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.